SDK
Report resource usage
Reports resource usage (tokens, compute time, etc.) for billing.
POST
/
sdk
/
v1
/
runs
/
{runID}
/
usage
Report resource usage
curl --request POST \
--url https://api.strait.dev/sdk/v1/runs/{runID}/usage \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"completion_tokens": 123,
"model": "<string>",
"prompt_tokens": 123,
"provider": "<string>",
"cost_microusd": 123,
"total_tokens": 123
}
'import requests
url = "https://api.strait.dev/sdk/v1/runs/{runID}/usage"
payload = {
"completion_tokens": 123,
"model": "<string>",
"prompt_tokens": 123,
"provider": "<string>",
"cost_microusd": 123,
"total_tokens": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
completion_tokens: 123,
model: '<string>',
prompt_tokens: 123,
provider: '<string>',
cost_microusd: 123,
total_tokens: 123
})
};
fetch('https://api.strait.dev/sdk/v1/runs/{runID}/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"completion_tokens": 123,
"cost_microusd": 123,
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"model": "<string>",
"prompt_tokens": 123,
"provider": "<string>",
"run_id": "<string>",
"total_tokens": 123,
"$schema": "<string>"
}{
"$schema": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}{
"$schema": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}{
"$schema": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}{
"$schema": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}{
"$schema": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}Authorizations
API key passed as Bearer token
Path Parameters
Body
application/json
Response
OK
A URL to the JSON Schema for this object.
Example:
"https://api.strait.dev/schemas/RunUsage.json"
⌘I
Report resource usage
